import { appendCodeStyle } from '../utils/dom';
import { ObjectDirective } from 'vue';

/**
 * props类型
 */
export interface TypewriterOptions {
    className?: string;
    privated?: boolean;
    text: string;
    speed?: number;
    cursor?: boolean;
    isScrollToBottom?: boolean;
}
/**
 * view 组件渲染
 * @param el
 * @param binding
 */
export declare function typeWriterView(el: Element, binding: TypewriterOptions): void;
export declare function removeElementTimer(el: Element): void;
/**
 * 定义打字机自定义指令
 */
declare const typewriterDirective: ObjectDirective<Element, TypewriterOptions>;
export declare const setThemeStyle: typeof appendCodeStyle;
export default typewriterDirective;
