import { ThemeItem } from '../theme';

type EventHandler = (...args: any[]) => void;
/**
 * event bus
 */
declare class EventBus {
    private events;
    on(eventName: string, handler: EventHandler): void;
    off(eventName: string, handler: EventHandler): void;
    emit(eventName: string, ...args: any[]): void;
}
export declare const eventBus: EventBus;
declare class GlobalProperty {
    private themeList?;
    private headerRender?;
    private footerRender?;
    private static staticInstance;
    private constructor();
    static getInstance(): GlobalProperty;
    setHeaderRender(render?: (lang: string, html?: string) => string): void;
    getHeaderRender(): ((lang: string, html?: string | undefined) => string) | undefined;
    setFooterRender(render?: (lang: string, html?: string) => string): void;
    getFooterRender(): ((lang: string, html?: string | undefined) => string) | undefined;
    setThemeList(list?: ThemeItem[]): void;
    getThemeList(): ThemeItem[] | undefined;
}
export declare const globalProperty: GlobalProperty;
declare const _default: {
    eventBus: EventBus;
    globalProperty: GlobalProperty;
};
export default _default;
